package com.xxrv.wallet.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.math.BigDecimal;
import java.util.List;

/*********
 * {"status":200,"message":"Success",
 * "data":{"totalCount":1,"totalPage":1,"pageNum":1,"pageSize":1,
 * "data":[{"id":2,"source":1,"itype":1,"amount":0.20,"crtTime":1562917112547}]},"rel":true}
 */
public class ConsumeListBean extends BaseBean {
    private boolean rel;
    private ConsumeList data;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public ConsumeList getData() {
        return data;
    }

    public void setData(ConsumeList data) {
        this.data = data;
    }

    public static class ConsumeList {
        private int totalCount;
        private int totalPage;
        private int pageNum;
        private int pageSize;

        private List<ConsumeItem> data;

        public int getTotalCount() {
            return totalCount;
        }

        public void setTotalCount(int totalCount) {
            this.totalCount = totalCount;
        }

        public int getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(int totalPage) {
            this.totalPage = totalPage;
        }

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public int getPageSize() {
            return pageSize;
        }

        public void setPageSize(int pageSize) {
            this.pageSize = pageSize;
        }

        public List<ConsumeItem> getData() {
            return data;
        }

        public void setData(List<ConsumeItem> data) {
            this.data = data;
        }
    }

    public static class ConsumeItem {
        private BigDecimal amount;
        private long crtTime;
        private int id;
        private int itype;
        private int source;
        private String desc;

        public BigDecimal getAmount() {
            return amount;
        }

        public void setAmount(BigDecimal amount) {
            this.amount = amount;
        }

        public long getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(long crtTime) {
            this.crtTime = crtTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getItype() {
            return itype;
        }

        public void setItype(int itype) {
            this.itype = itype;
        }

        public int getSource() {
            return source;
        }

        public void setSource(int source) {
            this.source = source;
        }

        public String getDesc() {
            return desc;
        }

        public void setDesc(String desc) {
            this.desc = desc;
        }
    }
}
